alt.java.io

## Class IOFactoryImpl

- java.lang.Object
- - alt.java.io.IOFactoryImpl

All Implemented Interfaces:
  IOFactory

    public class IOFactoryImpl
    extends java.lang.Object
    implements IOFactory

### Constructor Summary

Constructors
Constructor and Description
`IOFactoryImpl()`

### Method Summary

Methods
`File` `createFile(java.lang.String fileName)`
`java.io.InputStream` `createInputStream(File aFile)`
`java.io.OutputStream` `createOutputStream(File aFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IOFactoryImpl

    public IOFactoryImpl()

### Method Detail

#### createInputStream

    public java.io.InputStream createInputStream(File aFile)
                                          throws java.io.FileNotFoundException

Specified by:
  `createInputStream` in interface `IOFactory`
Throws:
  `java.io.FileNotFoundException`

#### createOutputStream

    public java.io.OutputStream createOutputStream(File aFile)
                                            throws java.io.FileNotFoundException

Specified by:
  `createOutputStream` in interface `IOFactory`
Throws:
  `java.io.FileNotFoundException`

#### createFile

    public File createFile(java.lang.String fileName)

Specified by:
  `createFile` in interface `IOFactory`